# -*- encoding: utf-8 -*-
# stub: zold 0.29.33 ruby lib

Gem::Specification.new do |s|
  s.name = "zold".freeze
  s.version = "0.29.33"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yegor Bugayenko".freeze]
  s.date = "2020-02-20"
  s.description = "In the last few years digital currencies have successfully demonstrated\ntheir ability to become an alternative financial instrument in many\ndifferent markets. Most of the technologies available at the moment are\nbased on the principles of Blockchain architecture, including\ndominating currencies like Bitcoin and Ethereum. Despite its\npopularity, Blockchain is not the best possible solution for all scenarios.\nOne such example is for fast micro-payments.\nZold is an experimental alternative that enables distributed transactions between\nanonymous users, making micro-payments financially feasible.\nIt borrows the proof-of-work principle from Bitcoin,\nand suggests a different architecture for digital wallet maintenance.".freeze
  s.email = "yegor256@gmail.com".freeze
  s.executables = ["zold".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE.txt".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "bin/zold".freeze]
  s.homepage = "http://github.com/zold-io/zold".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Thanks for installing Zold 0.29.33!\n  Study our White Paper: https://papers.zold.io/wp.pdf\n  Read our blog posts: https://blog.zold.io\n  Try ZLD online wallet at: https://wts.zold.io\n  Stay in touch with the community in Telegram: https://t.me/zold_io\n  Follow us on Twitter: https://twitter.com/0crat\n  If you have any issues, report to our GitHub repo: https://github.com/zold-io/zold".freeze
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A fast cryptocurrency for micro payments".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 2
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<backtrace>.freeze, [">= 0.3"])
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["= 1.1.5"])
    s.add_runtime_dependency(%q<diffy>.freeze, ["= 3.3.0"])
    s.add_runtime_dependency(%q<futex>.freeze, [">= 0.8.5"])
    s.add_runtime_dependency(%q<get_process_mem>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<haml>.freeze, ["= 5.0.4"])
    s.add_runtime_dependency(%q<json>.freeze, ["= 2.2.0"])
    s.add_runtime_dependency(%q<memory_profiler>.freeze, ["= 0.9.13"])
    s.add_runtime_dependency(%q<mimic>.freeze, ["= 0.4.4"])
    s.add_runtime_dependency(%q<openssl>.freeze, ["= 2.1.2"])
    s.add_runtime_dependency(%q<rainbow>.freeze, ["= 3.0.0"])
    s.add_runtime_dependency(%q<semantic>.freeze, ["= 1.6.1"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["= 2.0.5"])
    s.add_runtime_dependency(%q<slop>.freeze, ["= 4.6.2"])
    s.add_runtime_dependency(%q<sys-proctable>.freeze, ["= 1.2.1"])
    s.add_runtime_dependency(%q<thin>.freeze, ["= 1.7.2"])
    s.add_runtime_dependency(%q<threads>.freeze, [">= 0.3"])
    s.add_runtime_dependency(%q<total>.freeze, [">= 0.3"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["= 1.3.1"])
    s.add_runtime_dependency(%q<usagewatch_ext>.freeze, ["= 0.2.1"])
    s.add_runtime_dependency(%q<zache>.freeze, [">= 0.12"])
    s.add_runtime_dependency(%q<zold-score>.freeze, ["= 0.4.6"])
    s.add_development_dependency(%q<codecov>.freeze, ["= 0.1.14"])
    s.add_development_dependency(%q<cucumber>.freeze, ["= 3.1.2"])
    s.add_development_dependency(%q<guard>.freeze, ["= 2.15.0"])
    s.add_development_dependency(%q<guard-minitest>.freeze, ["= 2.4.6"])
    s.add_development_dependency(%q<minitest>.freeze, ["= 5.11.3"])
    s.add_development_dependency(%q<minitest-fail-fast>.freeze, ["= 0.1.0"])
    s.add_development_dependency(%q<minitest-hooks>.freeze, ["= 1.5.0"])
    s.add_development_dependency(%q<minitest-reporters>.freeze, ["= 1.3.6"])
    s.add_development_dependency(%q<rake>.freeze, ["= 12.3.2"])
    s.add_development_dependency(%q<random-port>.freeze, ["= 0.3.1"])
    s.add_development_dependency(%q<rdoc>.freeze, ["= 6.1.1"])
    s.add_development_dependency(%q<rspec-rails>.freeze, ["= 3.8.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.69.0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["= 1.33.0"])
    s.add_development_dependency(%q<webmock>.freeze, ["= 3.5.1"])
    s.add_development_dependency(%q<xcop>.freeze, [">= 0.6"])
  else
    s.add_dependency(%q<backtrace>.freeze, [">= 0.3"])
    s.add_dependency(%q<concurrent-ruby>.freeze, ["= 1.1.5"])
    s.add_dependency(%q<diffy>.freeze, ["= 3.3.0"])
    s.add_dependency(%q<futex>.freeze, [">= 0.8.5"])
    s.add_dependency(%q<get_process_mem>.freeze, ["~> 0.2"])
    s.add_dependency(%q<haml>.freeze, ["= 5.0.4"])
    s.add_dependency(%q<json>.freeze, ["= 2.2.0"])
    s.add_dependency(%q<memory_profiler>.freeze, ["= 0.9.13"])
    s.add_dependency(%q<mimic>.freeze, ["= 0.4.4"])
    s.add_dependency(%q<openssl>.freeze, ["= 2.1.2"])
    s.add_dependency(%q<rainbow>.freeze, ["= 3.0.0"])
    s.add_dependency(%q<semantic>.freeze, ["= 1.6.1"])
    s.add_dependency(%q<sinatra>.freeze, ["= 2.0.5"])
    s.add_dependency(%q<slop>.freeze, ["= 4.6.2"])
    s.add_dependency(%q<sys-proctable>.freeze, ["= 1.2.1"])
    s.add_dependency(%q<thin>.freeze, ["= 1.7.2"])
    s.add_dependency(%q<threads>.freeze, [">= 0.3"])
    s.add_dependency(%q<total>.freeze, [">= 0.3"])
    s.add_dependency(%q<typhoeus>.freeze, ["= 1.3.1"])
    s.add_dependency(%q<usagewatch_ext>.freeze, ["= 0.2.1"])
    s.add_dependency(%q<zache>.freeze, [">= 0.12"])
    s.add_dependency(%q<zold-score>.freeze, ["= 0.4.6"])
    s.add_dependency(%q<codecov>.freeze, ["= 0.1.14"])
    s.add_dependency(%q<cucumber>.freeze, ["= 3.1.2"])
    s.add_dependency(%q<guard>.freeze, ["= 2.15.0"])
    s.add_dependency(%q<guard-minitest>.freeze, ["= 2.4.6"])
    s.add_dependency(%q<minitest>.freeze, ["= 5.11.3"])
    s.add_dependency(%q<minitest-fail-fast>.freeze, ["= 0.1.0"])
    s.add_dependency(%q<minitest-hooks>.freeze, ["= 1.5.0"])
    s.add_dependency(%q<minitest-reporters>.freeze, ["= 1.3.6"])
    s.add_dependency(%q<rake>.freeze, ["= 12.3.2"])
    s.add_dependency(%q<random-port>.freeze, ["= 0.3.1"])
    s.add_dependency(%q<rdoc>.freeze, ["= 6.1.1"])
    s.add_dependency(%q<rspec-rails>.freeze, ["= 3.8.2"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.69.0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["= 1.33.0"])
    s.add_dependency(%q<webmock>.freeze, ["= 3.5.1"])
    s.add_dependency(%q<xcop>.freeze, [">= 0.6"])
  end
end
